Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
GET https://api.stepfun.ai/v1/files/{file_id}
file_id
string
from openai import OpenAI client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1") print(client.files.retrieve("file-stepab"))
import OpenAI from "openai"; const openai = new OpenAI({ apiKey: "STEP_API_KEY", baseURL: "https://api.stepfun.ai/v1" }); async function main() { const file = await openai.files.retrieve("file-stepab"); console.log(file); } main();
curl https://api.stepfun.ai/v1/files/file-abc \ -H "Authorization: Bearer $STEP_API_KEY"
{ "id": "file-abc123", "object": "file", "bytes": 140, "created_at": 1613779121, "filename": "salesOverview.pdf", "purpose": "file-extract", "status": "success" }
Was this page helpful?